Loading...
Searching...
No Matches
spectrumUpdateEvents.h File Reference
`#include <gnuradio/high_res_timer.h>`
`#include <gnuradio/qtgui/api.h>`
`#include <gnuradio/tags.h>`
`#include <volk/volk_alloc.hh>`
`#include <QEvent>`
`#include <QString>`
`#include <complex>`
`#include <cstdint>`
`#include <vector>`
Include dependency graph for spectrumUpdateEvents.h:
This graph shows which files directly or indirectly include this file:

Go to the source code of this file.

## Classes

class | SpectrumUpdateEvent
class | SpectrumWindowCaptionEvent
class | SpectrumWindowResetEvent
class | SpectrumFrequencyRangeEvent
class | TimeUpdateEvent
class | FreqUpdateEvent
class | SetFreqEvent
class | ConstUpdateEvent
class | WaterfallUpdateEvent
class | TimeRasterUpdateEvent
class | TimeRasterSetSize
class | HistogramUpdateEvent
class | HistogramSetAccumulator
class | HistogramClearEvent
class | NumberUpdateEvent

## Variables

static constexpr int | SpectrumUpdateEventType = 10005
static constexpr int | SpectrumWindowCaptionEventType = 10008
static constexpr int | SpectrumWindowResetEventType = 10009
static constexpr int | SpectrumFrequencyRangeEventType = 10010

## Variable Documentation

## SpectrumFrequencyRangeEventType

int SpectrumFrequencyRangeEventType = 10010

static constexpr

## SpectrumUpdateEventType

int SpectrumUpdateEventType = 10005

static constexpr

Referenced by HistogramClearEvent::HistogramClearEvent(), ConstUpdateEvent::Type(), FreqUpdateEvent::Type(), HistogramClearEvent::Type(), HistogramSetAccumulator::Type(), HistogramUpdateEvent::Type(), NumberUpdateEvent::Type(), TimeRasterSetSize::Type(), TimeRasterUpdateEvent::Type(), TimeUpdateEvent::Type(), and WaterfallUpdateEvent::Type().

## SpectrumWindowCaptionEventType

int SpectrumWindowCaptionEventType = 10008

static constexpr

## SpectrumWindowResetEventType

int SpectrumWindowResetEventType = 10009

static constexpr